#include <bits/stdc++.h>
#define ll long long
using namespace std;
long double br=0,p,q,r,a,b;
int main() {
ios_base::sync_with_stdio(false);
cin.tie(NULL);
cin >> p >> q >> r >> a >> b;

for (int i = a; i <= b; i++) {
    if (ceil(i/p) + ceil(i/q) + ceil(i/r) <= i) {
        br++;
    }
}
cout << br << endl;
return 0;
}